LPARAMETERS pc_LogFile


LOCAL lc_LogFile, ;
      lc_Notify, ;
      lc_Talk

lc_Notify = SET("NOTIFY")
lc_Talk = SET("TALK")

IF NOT EMPTY(pc_LogFile) AND FILE(pc_logFile)
  lc_LogFile = pc_LogFile
ELSE
  lc_LogFile = GETFILE("LOG","LOG File name", "", 0, "Select coverage log file")
ENDIF

IF NOT EMPTY(lc_LogFile)

  PUSH KEY
  ON KEY LABEL CTRL+O EDITSOURCE(STRTRAN(STRTRAN(ALLTRIM(ac_covres->cfilename), ".VCT", ".VCX", 1, -1, 1), ".FXP", ".PRG", 1, -1, 1), ac_covres->linenumb, ALLTRIM(ac_covres->classname), ALLTRIM(STREXTRACT(ac_covres->methprg, ".")))

  SET MESSAGE TO "Processing. Please wait..."

  CREATE CURSOR ac_covlog (;
    ctime     N(13, 6), ;
    CLASSNAME C(60), ;
    METHPRG   C(100), ;
    LINENUMB  N(10), ;
    CFILENAME Character(100), ;
    PRGLEVEL  N(3))


  SET NOTIFY ON
  SET TALK ON

  APPEND FROM (lc_LogFile) delimited

  SELECT sum(ctime), COUNT(ctime) AS hitcount, * from ac_covlog ;
    GROUP BY classname, methprg, linenumb ;
    ORDER BY 1 DESC ;
    INTO CURSOR ac_covres

  SET NOTIFY &lc_Notify.
  SET TALK &lc_Talk.

  SELECT ac_covres
  *-- Give option to exlude SQL classes and some global program  
  WAIT WINDOW "Include SQL object? " TO mchk
  
  IF mchk $ "Yy"
    BROWSE LAST NOWAIT
  ELSE 
    BROWSE FOR NOT INLIST(UPPER(JUSTSTEM(cfilename)), "SYCSQLMN", "SYCSQL", "SYPRODTS", "SYCSQLBK", "G_OPNFL") NOWAIT 
  ENDIF
  
  USE IN ac_covlog


  SET MESSAGE TO "Hit Ctrl-O to edit the class, positioned on the line"
ENDIF

RETURN
