*------------------------------------------------------------------------------
*- Version....: Sage Pro ERP 2010
*- File Name..: $Workfile: SQLTEST.PRG $
*- VCS Level..: $Revision: 1 $
*- Last Update: $Date: 8/14/08 9:18p $
*------------------------------------------------------------------------------
*- Copyright (C) 2009 Sage Software, Inc.  All Rights Reserved.
*------------------------------------------------------------------------------
*- Synopsis...: Used to test the backend tables outside the pro environment
*------------------------------------------------------------------------------
*- Parameters.: pc_Sql - Executes the SQL in the backend if it is passed
*------------------------------------------------------------------------------
LPARAMETERS pc_SQL

CLOSE ALL

PUBLIC gc_glob, ;
       gl_Debug, ;
       gc_dbcname, ;
       gl_doonerr, ;
       gl_erroff, ;
       gc_quote, ;
       gc_idrvtmp, ;
       gl_visual

gc_glob = ""
gc_quote = "'"
gl_erroff = .t.
gl_visual = .t.

gc_dbcname  = 'prodata'

PUBLIC go_SQL AS sbtmgrsql OF sbtsql.vcx
LOCAL lo_login AS syclogin OF sycsconn.vcx

DO g_setvr

IF NOT g_inilib("C")
  *-- Display alert
  WAIT WINDOW "One or more of the required library files could " + ;
                   "not be loaded." 
ENDIF

*-- Load global objects into memory.
g_inigob()

SET CLASSLIB TO SBTSQL ADDITIVE

gl_Debug = .t.

*-- Login to Pro w/o login dialog
lo_Login = NEWOBJECT("syclogin","sycsconn.vcx")

IF NOT lo_Login.m_login("ADMN", "ADMN")
  MESSAGEBOX( "Unable to logon as ADMN")
ENDIF


IF NOT EMPTY(pc_SQL)
  lc_SQL = pc_SQL

  go_Sql.m_SqlSelect(lc_SQL, "CURSOR", "ac_temp")

  IF USED("ac_temp")
    BROWSE
  ENDIF

ENDIF

RETURN
