*------------------------------------------------------------------------------
*- Version....: Sage Pro ERP 2010
*- File Name..: $Workfile: SYCBLDR.H $
*- VCS Level..: $Revision: 1 $
*- Last Update: $Date: 8/14/08 9:18p $
*------------------------------------------------------------------------------
*- Notice.....: Copyright (c) 1985-1998 SBT Corporation. All rights reserved.
*------------------------------------------------------------------------------
*- App ID.....: SY
*- App Name...: System Services
*------------------------------------------------------------------------------
*- Synopsis...: Class library for design time builders.
*------------------------------------------------------------------------------

*-- Include standard class library
#include sycclass.h

*-- Gap between items used by add object builder
#define Cn_NextRowGap		10
#define Cn_LabelRowGap	 	 5
#define Cn_NextColumnGap	 5
#define Cn_LabelColumnGap	 3
#define Cn_3dWidth			 6
#define Cn_BoundaryLeftGap	 5
#define Cn_BoundaryTopGap	10

#DEFINE Cc_EOL	CHR(13) + CHR(10)
#DEFINE Cc_Stars REPLICATE("*", 80)

#DEFINE Cn_PgfHeightWidthGap	5
#DEFINE Cn_PgfLeftTopGap		2
#DEFINE Cn_CntPgfHeight			40
#DEFINE Cn_CntPgfWidth			10
#DEFINE Cn_CntPgfLeft			3
#DEFINE Cn_CntPgfTop			3

#DEFINE Cc_CntHeaderPage	"SBTCntPageHeader"
#DEFINE Cc_CntDetailPage	"SBTCntPageDetail"
#DEFINE Cc_CntClassLib		"SBTfctrl"

*-- Begin defines for sycproperties class
#define Cn_Contobject     1
#define Cn_ContCurrent    2
#define Cn_ObjFullName    1
#define Cn_ObjTabIndex    2
#define Cn_TabIndexLength 5
*-- End defines for sycproperties class
