*------------------------------------------------------------------------------
*- Version....: Sage Pro ERP 2010
*- File Name..: $Workfile: SYDVXP.PRG $
*- VCS Level..: $Revision: 1 $
*- Last Update: $Date: 8/14/08 9:18p $
*------------------------------------------------------------------------------
*- Copyright (C) 2009 Sage Software, Inc.  All Rights Reserved.
*------------------------------------------------------------------------------
*- App ID.....: SY
*- App Name...: System Services
*------------------------------------------------------------------------------
*- Synopsis...: Launches Dataview Export/Import Tool
*-
*- Classes....: 
*------------------------------------------------------------------------------
*- Called By..: COM Client
*------------------------------------------------------------------------------
#include global.h
#include events.h

LPARAMETERS pc_ExportImport
LOCAL lc_ExportImport

lc_ExportImport = UPPER(pc_ExportImport)

*-- Changed NEWOBJECT to g_newobj for SBE
DO CASE
  CASE lc_ExportImport = "EXPORT"
    WITH g_newobj("cntCallsydvexport", "sydvxp")
        .m_Reset()
        .sl_Modal = .t.
        .m_Run()
    ENDWITH
  
  CASE lc_ExportImport = "IMPORT"
    WITH g_newobj("cntCallsydvimport", "sydvxp")
        .m_Reset()
        .sl_Modal = .t.
        .m_Run()
    ENDWITH
  
  OTHERWISE
    = g_msgbox("Invalid parameter: " + lc_ExportImport , 3,"1", "OK")
    
  ENDCASE
  

RETURN
