*------------------------------------------------------------------------------
*- Version....: Sage Pro ERP 2010
*- File Name..: $Workfile: TRANTEMPLATE.H $
*- VCS Level..: $Revision: 1 $
*- Last Update: $Date: 8/14/08 9:18p $
*------------------------------------------------------------------------------
*- Copyright (C) 2009 Sage Software, Inc.  All Rights Reserved.
*------------------------------------------------------------------------------

*-- Get table identifiers
#define Cn_PartyDBF 1
#define Cn_MastDBF  2
#define Cn_TranDBF  3
#define Cn_BlnkDBF  4

*-- Events
#define Cn_HdrEdit     1001
#define Cn_Header      1012
#define Cn_LineItems   1013
#define Cn_Detadd      1030
#define Cn_Detinquiry  1031
#define Cn_Convert     1032
#define Cn_Void        1033
#define Cn_Detail      1034
#define Cn_Selinq      1035
#define Cn_Sequence    1300

*-- Paramters for l_setvar
#define Cn_Clear 0
#define Cn_Init  1
#define Cn_Load  2

*-- Parameters for v_editst
#define Cl_Force    .t.
#define Cl_NoForce  .f.

*-- Parameters for m_CvtVar
#define Cl_CvtFromTable .t.
#define Cl_CvtToTable   .f.

*-- Parameters for object locking function
#define Cl_SetLock     .t.
#define Cl_ReleaseLock .f.
#define Cl_Retry       .t.
#define Cl_NoRetry     .f.
#define Cl_RollBack    .t.
#define Cl_Commit      .f.

*-- Parameters for field validation functions
#define Cl_Verbose  .t.
#define Cl_Default  .t.

*-- Browse parameters
#define Cl_BrowForce    .t.
#define Cl_BrowNoForce  .f.

*-- Parameter values passed to this program






*-- Logicals for calls to L_UPDIQ
#define Cl_TmAloc  .t.
#define Cl_SoAloc  .f.

*-- Quantity available checks
#define Cn_QtyAvl    a_iciqty->qonhand - ABS(a_iciqty->qsoaloc) - ;
        a_iciqty->qwoaloc - a_iciqty->qtmaloc
#define Cc_QtyAvl    "a_iciqty->qonhand - ABS(a_iciqty->qsoaloc) " + ;
        " - a_iciqty->qwoaloc - a_iciqty->qtmaloc"

#define Cn_SerlQtyAvl    a_iciqty->qonhand - ABS(a_iciqty->qsoaloc) - ;
        ABS(a_iciqty->qwoaloc) - ABS(a_iciqty->qtmaloc)
#define Cc_SerlQtyAvl    "a_iciqty->qonhand - ABS(a_iciqty->qsoaloc) " + ;
        " - ABS(a_iciqty->qwoaloc) - ABS(a_iciqty->qtmaloc)"

*-- Cost, price, and quantity decimals
#define Cn_CostDec     5
#define Cn_PriceDec    5
#define Cn_QtyDec      6

*-- defines for initializing header vars
#define Cl_SetAll      .t.      && Initialize all vars
#define Cl_SetCust     .f.      && Initialize only customer based vars

*-- Used as parameter call for shipping state field
#define Cn_ShpStateFld -1         && Used for w_mast, v_mast of lc_state

*-- For call to l_putln
#define Cl_Serial      .t.
#define Cl_NotSerial   .f.

*-- Picture clause for numeric fields
#define Cc_PictNumFld  REPLICATE([#], 12) + [.##]

*-- To indicate whether called during saving or not
#define Cl_Saving      .t.
#define Cl_NotSaving   .f.

#define Cc_CancChangeMsg  "Cancel all changes?"

*-- Size for toggle ("X") in browses
#define Cc_ToggleSize     "2"

#define Cl_Saving      .t.
#define Cn_CtrlW       23

